package com.cosmodas.premios;

import com.cosmodas.EntCosmos.VPremiosSalas;
import com.cosmodas.FacadeCosmos.VpremiosSalasFacadeLocal;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Named
@ManagedBean
@ViewScoped
public class bPremiosActualesSalas implements Serializable {

    @EJB
    private VpremiosSalasFacadeLocal vpsfl;

    private List<VPremiosSalas> premiosSalasList;

    @PostConstruct
    private void init(){
        premiosSalasList = new ArrayList<>();
        premiosSalasList.addAll(vpsfl.findAll());
    }


    public VpremiosSalasFacadeLocal getVpsfl() {
        return vpsfl;
    }

    public void setVpsfl(VpremiosSalasFacadeLocal vpsfl) {
        this.vpsfl = vpsfl;
    }

    public List<VPremiosSalas> getPremiosSalasList() {
        return premiosSalasList;
    }

    public void setPremiosSalasList(List<VPremiosSalas> premiosSalasList) {
        this.premiosSalasList = premiosSalasList;
    }

    public bPremiosActualesSalas() {
    }
}
